OperatorSymbol (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.syntax

## Class OperatorSymbol

- java.lang.Object
- - hlt.language.util.Indexed
  - - hlt.language.util.AbstractListIndexed
    - - hlt.language.syntax.Symbol
      - - hlt.language.syntax.OperatorSymbol

- All Implemented Interfaces:
    Comparable, Named
  Direct Known Subclasses:
    Operator, ParserOperator

      public abstract class OperatorSymbol
      extends Symbol

  This class is an abstract representation of the type of tokens that are dynamic operators, whether `Operator` (used use by the grammar at parser construction time), or `ParserOperator` (used by the parser at parse time).
  Version:
    Last modified on Fri Apr 13 20:06:16 2012 by hak
  Author:
    Hassan Aït-Kaci
  See Also:
    `Symbol`, `Operator`, `ParserOperator`
  Copyright:
    © by the author

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INFIX`
    `static int` | `POSTFIX`
    `static int` | `PREFIX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `associativity()`
    `boolean` | `equals(java.lang.Object other)`
    `int` | `fixity()`
    `int` | `precedence()`
    `void` | `redefine(int precedence, java.lang.String specifier)`
    `java.lang.String` | `specifier()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class hlt.language.syntax.Symbol

      `lessThan, name`

    - ### Methods inherited from class hlt.language.util.AbstractListIndexed

      `add`

    - ### Methods inherited from class hlt.language.util.Indexed

      `hashCode, index`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PREFIX

          public static final int PREFIX

      See Also:
        Constant Field Values

    - #### POSTFIX

          public static final int POSTFIX

      See Also:
        Constant Field Values

    - #### INFIX

          public static final int INFIX

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### redefine

          public final void redefine(int precedence,
                      java.lang.String specifier)
                              throws NonFatalParseErrorException

      Throws:
        `NonFatalParseErrorException`

    - #### equals

          public final boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `AbstractListIndexed`

    - #### specifier

          public final java.lang.String specifier()

    - #### precedence

          public int precedence()

    - #### associativity

          public int associativity()

    - #### fixity

          public int fixity()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Symbol`